package com.zanxiang.game.data.serve.pojo.dto;

import com.zanxiang.game.data.serve.pojo.base.BasePage;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;
import java.util.List;

/**
  * @author ZhangXianyu
  * @date 2025/2/20
  * @description 游戏帮派查询参数
 */
@Data
public class RoleGameCountryParamDTO extends BasePage {

   @ApiModelProperty(value = "帮派")
   @NotEmpty(message = "帮派不能为空")
   private String country;

   @ApiModelProperty(value = "区服id")
   @NotEmpty(message = "区服不能为空")
   private String serverId;

   private String sortFiled;

   private String sortType;





}
