package com.zanxiang.game.data.serve.pojo.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Size;
import java.util.List;

/**
  * @author ZhangXianyu
  * @date 2025/2/20
  * @description 游戏帮派查询参数
 */
@Data
public class GameCountryParamDTO {

   @ApiModelProperty(value = "帮派列表")
   @Size(max = 4,message = "帮派最多选择4个")
   private List<String> gameCountryList;



}
